#!/opt/python3/bin/python

# coding: utf-8
from dbfread import DBF


def convert(in_filename: str, out_filename: str = None):
    if not out_filename:
        out_filename = f'{in_filename}.csv'

    f = open(out_filename,'w')
    columns = None
    for record in DBF(in_filename, encoding='cp866'):
        if not columns:
            columns = []
            for n in record:
                columns.append(n)
            print('|'.join(columns), file=f)
        row = []
        for n in columns:
            row.append(str(record[n]))
        print('|'.join(row), file=f)
    f.close()


convert('UNIVERSI.DBF', 'university.csv')
convert('SUBJECT.DBF', 'subject.csv')
convert('LECTURER.DBF', 'lecturer.csv')
convert('STUDENT.DBF', 'student.csv')
convert('SUBJ_LEC.DBF', 'subj_lect.csv')
convert('EXAM_MAR.DBF', 'exam_mark.csv')
