import os
import sql_parser
from sql_interpreter import Table, Db, Intepreter, Context


def main():
    prog = sql_parser.parse('''
        select 'value = ' || t.a1 * a1 + 1, t.a2 
          from table1 t
          where t.a1 > 1 and 6 > 1
          order by 'ab', -a1
    ''')

    print(*prog.tree, sep=os.linesep)

    table1 = Table(
        ['A1', 'A2'], [
           [1, 'aaa'],
           [2, 'bbb'],
           [3, 'ccc'],
        ])
    table2 = Table(
        ['B1', 'B2', 'B3'], [
           [1, 'bbb1', 10],
           [5, 'bbb5', 50],
        ])
    tables = {
        'table1': table1,
        'table2': table2,
    }
    db = Db(tables)

    intepreter = Intepreter()
    context = Context(db)
    result = intepreter.execute(prog, context)

    for r in result:
        print(', '.join(str(v) for v in r))



if __name__ == "__main__":
    main()
